The Tax Withholding Entry object

Attributes

id string

Unique identifier for the object.

idx integer
parent_id string required
parent_type string required
party_type string
party string
tax_id string
tax_withholding_category string
tax_rate number
taxable_amount number
lower_deduction_certificate string
status string
currency string
conversion_rate number
withholding_doctype string
withholding_name string
taxable_doctype string
taxable_name string
taxable_date string
withholding_date string
under_withheld_reason string
withholding_amount number
tax_withholding_group string
company string
created_by_migration boolean

Default: false

The Tax Withholding Entry object
{
  "id": "tax-withholding-entry_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "party_type": "party_type_example",
  "party": "party_example",
  "tax_id": "tax_id_example",
  "tax_withholding_category": "tax_withholding_category_example",
  "tax_rate": 0,
  "taxable_amount": 0,
  "lower_deduction_certificate": "lower_deduction_certificate_example",
  "status": "draft",
  "currency": "USD",
  "conversion_rate": 0,
  "withholding_doctype": "withholding_doctype_example",
  "withholding_name": "withholding_name_example",
  "taxable_doctype": "taxable_doctype_example",
  "taxable_name": "taxable_name_example",
  "taxable_date": "2024-01-15",
  "withholding_date": "2024-01-15",
  "under_withheld_reason": "under_withheld_reason_example",
  "withholding_amount": 0,
  "tax_withholding_group": "tax_withholding_group_example",
  "company": "Example Corp",
  "created_by_migration": false
}
GET /api/accounts/tax-withholding-entry?parent_id={id}

List tax withholding entrys by parent

Returns all tax withholding entrys belonging to the specified parent.

Query parameters

parent_id string required

The ID of the parent to list children for.

Returns

A list of tax withholding entry objects belonging to the parent.

GET /api/accounts/tax-withholding-entry?parent_id={id}
curl https://api.overplane.dev/api/accounts/tax-withholding-entry?parent_id=parent_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "tax-withholding-entry_abc123",
      "idx": 1,
      "parent_id": null,
      "parent_type": "parent_type_example",
      "party_type": "party_type_example",
      "party": "party_example",
      "tax_id": "tax_id_example",
      "tax_withholding_category": "tax_withholding_category_example",
      "tax_rate": 0,
      "taxable_amount": 0,
      "lower_deduction_certificate": "lower_deduction_certificate_example",
      "status": "draft",
      "currency": "USD",
      "conversion_rate": 0,
      "withholding_doctype": "withholding_doctype_example",
      "withholding_name": "withholding_name_example",
      "taxable_doctype": "taxable_doctype_example",
      "taxable_name": "taxable_name_example",
      "taxable_date": "2024-01-15",
      "withholding_date": "2024-01-15",
      "under_withheld_reason": "under_withheld_reason_example",
      "withholding_amount": 0,
      "tax_withholding_group": "tax_withholding_group_example",
      "company": "Example Corp",
      "created_by_migration": false
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/tax-withholding-entry

Create a tax withholding entry

Creates a new tax withholding entry object.

Body parameters

idx integer
parent_id string required
parent_type string required
party_type string
party string
tax_id string
tax_withholding_category string
tax_rate number
taxable_amount number
lower_deduction_certificate string
status string
currency string
conversion_rate number
withholding_doctype string
withholding_name string
taxable_doctype string
taxable_name string
taxable_date string
withholding_date string
under_withheld_reason string
withholding_amount number
tax_withholding_group string
company string
created_by_migration boolean

Default: false

Returns

Returns the newly created tax withholding entry object if the call succeeded.

POST /api/accounts/tax-withholding-entry
curl https://api.overplane.dev/api/accounts/tax-withholding-entry \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"parent_id":null,"parent_type":"parent_type_example"}'
Response
{
  "id": "tax-withholding-entry_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "party_type": "party_type_example",
  "party": "party_example",
  "tax_id": "tax_id_example",
  "tax_withholding_category": "tax_withholding_category_example",
  "tax_rate": 0,
  "taxable_amount": 0,
  "lower_deduction_certificate": "lower_deduction_certificate_example",
  "status": "draft",
  "currency": "USD",
  "conversion_rate": 0,
  "withholding_doctype": "withholding_doctype_example",
  "withholding_name": "withholding_name_example",
  "taxable_doctype": "taxable_doctype_example",
  "taxable_name": "taxable_name_example",
  "taxable_date": "2024-01-15",
  "withholding_date": "2024-01-15",
  "under_withheld_reason": "under_withheld_reason_example",
  "withholding_amount": 0,
  "tax_withholding_group": "tax_withholding_group_example",
  "company": "Example Corp",
  "created_by_migration": false
}
PATCH /api/accounts/tax-withholding-entry/{id}

Update a tax withholding entry

Updates the specified tax withholding entry by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the tax withholding entry to update.

Body parameters

idx integer
parent_id string
parent_type string
party_type string
party string
tax_id string
tax_withholding_category string
tax_rate number
taxable_amount number
lower_deduction_certificate string
status string
currency string
conversion_rate number
withholding_doctype string
withholding_name string
taxable_doctype string
taxable_name string
taxable_date string
withholding_date string
under_withheld_reason string
withholding_amount number
tax_withholding_group string
company string
created_by_migration boolean

Default: false

Returns

Returns the updated tax withholding entry object.

PATCH /api/accounts/tax-withholding-entry/{id}
curl https://api.overplane.dev/api/accounts/tax-withholding-entry/tax-withholding-entry_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"idx":1,"parent_id":null}'
Response
{
  "id": "tax-withholding-entry_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "party_type": "party_type_example",
  "party": "party_example",
  "tax_id": "tax_id_example",
  "tax_withholding_category": "tax_withholding_category_example",
  "tax_rate": 0,
  "taxable_amount": 0,
  "lower_deduction_certificate": "lower_deduction_certificate_example",
  "status": "draft",
  "currency": "USD",
  "conversion_rate": 0,
  "withholding_doctype": "withholding_doctype_example",
  "withholding_name": "withholding_name_example",
  "taxable_doctype": "taxable_doctype_example",
  "taxable_name": "taxable_name_example",
  "taxable_date": "2024-01-15",
  "withholding_date": "2024-01-15",
  "under_withheld_reason": "under_withheld_reason_example",
  "withholding_amount": 0,
  "tax_withholding_group": "tax_withholding_group_example",
  "company": "Example Corp",
  "created_by_migration": false
}
DELETE /api/accounts/tax-withholding-entry/{id}

Delete a tax withholding entry

Permanently deletes a tax withholding entry. This cannot be undone.

Path parameters

id string required

The identifier of the tax withholding entry to delete.

Returns

Returns a confirmation that the tax withholding entry has been deleted.

DELETE /api/accounts/tax-withholding-entry/{id}
curl https://api.overplane.dev/api/accounts/tax-withholding-entry/tax-withholding-entry_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "tax-withholding-entry_abc123",
  "deleted": true
}
POST /api/accounts/tax-withholding-entry/reorder

Reorder tax withholding entrys

Updates the sort order of tax withholding entrys within their parent by setting new index values.

Returns

Returns the reordered list.

POST /api/accounts/tax-withholding-entry/reorder
curl https://api.overplane.dev/api/accounts/tax-withholding-entry/reorder \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "tax-withholding-entry_abc123",
  "idx": 1,
  "parent_id": null,
  "parent_type": "parent_type_example",
  "party_type": "party_type_example",
  "party": "party_example",
  "tax_id": "tax_id_example",
  "tax_withholding_category": "tax_withholding_category_example",
  "tax_rate": 0,
  "taxable_amount": 0,
  "lower_deduction_certificate": "lower_deduction_certificate_example",
  "status": "draft",
  "currency": "USD",
  "conversion_rate": 0,
  "withholding_doctype": "withholding_doctype_example",
  "withholding_name": "withholding_name_example",
  "taxable_doctype": "taxable_doctype_example",
  "taxable_name": "taxable_name_example",
  "taxable_date": "2024-01-15",
  "withholding_date": "2024-01-15",
  "under_withheld_reason": "under_withheld_reason_example",
  "withholding_amount": 0,
  "tax_withholding_group": "tax_withholding_group_example",
  "company": "Example Corp",
  "created_by_migration": false
}